Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.core
Class Props

    java.lang.Object
      org.pentaho.di.core.Props

All Implemented Interfaces:
  Cloneable

    public class Props

extends Object
implements Cloneable

We use Props to store all kinds of user interactive information such as the selected colors, fonts, positions of windows, etc.

Since:
  15-12-2003
Author:
  Matt

Field Summary
`static String` | `STRING_ANTI_ALIASING`
`static String` | `STRING_ARGUMENT_NAME_PREFIX`
`static String` | `STRING_ASK_ABOUT_REPLACING_DATABASES`
`static String` | `STRING_AUTO_COLLAPSE_CORE_TREE`
`static String` | `STRING_AUTO_SAVE`
`static String` | `STRING_AUTO_SPLIT`
`static String` | `STRING_BACKGROUND_COLOR_B`
`static String` | `STRING_BACKGROUND_COLOR_G`
`static String` | `STRING_BACKGROUND_COLOR_R`
`static String` | `STRING_CUSTOM_PARAMETER`
`static String` | `STRING_DEFAULT_PREVIEW_SIZE`
`static String` | `STRING_FONT_DEFAULT_NAME`
`static String` | `STRING_FONT_DEFAULT_SIZE`
`static String` | `STRING_FONT_DEFAULT_STYLE`
`static String` | `STRING_FONT_FIXED_NAME`
`static String` | `STRING_FONT_FIXED_SIZE`
`static String` | `STRING_FONT_FIXED_STYLE`
`static String` | `STRING_FONT_GRAPH_NAME`
`static String` | `STRING_FONT_GRAPH_SIZE`
`static String` | `STRING_FONT_GRAPH_STYLE`
`static String` | `STRING_FONT_GRID_NAME`
`static String` | `STRING_FONT_GRID_SIZE`
`static String` | `STRING_FONT_GRID_STYLE`
`static String` | `STRING_FONT_NOTE_NAME`
`static String` | `STRING_FONT_NOTE_SIZE`
`static String` | `STRING_FONT_NOTE_STYLE`
`static String` | `STRING_GRAPH_COLOR_B`
`static String` | `STRING_GRAPH_COLOR_G`
`static String` | `STRING_GRAPH_COLOR_R`
`static String` | `STRING_ICON_SIZE`
`static String` | `STRING_LAST_ARGUMENT`
`static String` | `STRING_LAST_PREVIEW_SIZE`
`static String` | `STRING_LAST_PREVIEW_STEP`
`static String` | `STRING_LAST_PREVIEW_TRANS`
`static String` | `STRING_LAST_REPOSITORY`
`static String` | `STRING_LAST_REPOSITORY_LOGIN`
`static String` | `STRING_LINE_WIDTH`
`static String` | `STRING_LOG_FILTER`
`static String` | `STRING_LOG_LEVEL`
`static String` | `STRING_MAX_UNDO`
`static String` | `STRING_MIDDLE_PCT`
`static String` | `STRING_ONLY_ACTIVE_STEPS`
`static String` | `STRING_ONLY_USED_DB_TO_XML`
`static String` | `STRING_OPEN_LAST_FILE`
`static String` | `STRING_PLUGIN_HISTORY`
`static String` | `STRING_REPLACE_DATABASES`
`static String` | `STRING_SASH_W1`
`static String` | `STRING_SASH_W2`
`static String` | `STRING_SAVE_CONF`
`static String` | `STRING_SHADOW_SIZE`
`static String` | `STRING_SHOW_EXIT_WARNING`
`static String` | `STRING_SHOW_OS_LOOK`
`static String` | `STRING_SHOW_TIPS`
`static String` | `STRING_SIZE_H`
`static String` | `STRING_SIZE_MAX`
`static String` | `STRING_SIZE_W`
`static String` | `STRING_SIZE_X`
`static String` | `STRING_SIZE_Y`
`static String` | `STRING_START_SHOW_REPOSITORIES`
`static String` | `STRING_TAB_COLOR_B`
`static String` | `STRING_TAB_COLOR_G`
`static String` | `STRING_TAB_COLOR_R`
`static String` | `STRING_TIP_NR`
`static String` | `STRING_USE_DB_CACHE`
`static int` | `TYPE_PROPERTIES_CHEF`
`static int` | `TYPE_PROPERTIES_EMPTY`
`static int` | `TYPE_PROPERTIES_KITCHEN`
`static int` | `TYPE_PROPERTIES_MENU`
`static int` | `TYPE_PROPERTIES_PAN`
`static int` | `TYPE_PROPERTIES_PLATE`
`static int` | `TYPE_PROPERTIES_SPOON`
`static int` | `WIDGET_STYLE_DEFAULT`
`static int` | `WIDGET_STYLE_FIXED`
`static int` | `WIDGET_STYLE_GRAPH`
`static int` | `WIDGET_STYLE_NOTEPAD`
`static int` | `WIDGET_STYLE_TAB`
`static int` | `WIDGET_STYLE_TABLE`

Method Summary
`void` | `addPluginHistory(String pluginID, int uses)`
`boolean` | `areOnlyUsedConnectionsSavedToXML()`
`boolean` | `askAboutReplacingDatabaseConnections()`
`void` | `clearCustomParameters()`
`static String[]` | `convertArguments(RowMetaAndData row)`
`void` | `createDefaultKettleProperties(String directory)`
`boolean` | `fileExists()`
`static int` | `getArgumentNumber(ValueMetaInterface value)` Convert "argument 1" to 1
`String` | `getCustomParameter(String parameterName, String defaultValue)`
`String` | `getFilename()`
`static Props` | `getInstance()`
`String[]` | `getLastArguments()` Get the last entered arguments...
`String` | `getLastRepository()`
`String` | `getLastRepositoryLogin()`
`String` | `getLicenseFilename()`
`String` | `getLogFilter()`
`String` | `getLogLevel()`
`int` | `getMaxNrLinesInHistory()`
`int` | `getMaxNrLinesInLog()`
`boolean` | `getOnlyActiveSteps()`
`List<ObjectUsageCount>` | `getPluginHistory()` Get the list of recently used step
`String` | `getProperty(String propertyName)`
`int` | `getType()`
`int` | `increasePluginHistory(String pluginID)`
`static void` | `init(int t)` Initialize the properties: load from disk.
`static void` | `init(String filename)` Initialize the properties: load from disk.
`static boolean` | `isInitialized()` Check to see whether the Kettle properties where loaded.
`boolean` | `loadProps()`
`boolean` | `replaceExistingDatabaseConnections()`
`void` | `saveProps()`
`void` | `setAskAboutReplacingDatabaseConnections(boolean ask)`
`void` | `setCustomParameter(String parameterName, String value)` Set the custom parameter
`void` | `setLastArguments(String[] args)` Set the last arguments so that we can recall it the next time...
`void` | `setLastRepository(String repname)`
`void` | `setLastRepositoryLogin(String login)`
`void` | `setLogFilter(String filter)`
`void` | `setLogLevel(String level)`
`void` | `setMaxNrLinesInHistory(int maxNrLinesInHistory)`
`void` | `setMaxNrLinesInLog(int maxNrLinesInLog)`
`void` | `setOnlyActiveSteps(boolean only)`
`void` | `setOnlyUsedConnectionsSavedToXML(boolean onlyUsedConnections)`
`void` | `setProperty(String propertyName, String value)`
`void` | `setReplaceDatabaseConnections(boolean replace)`
`void` | `setType(int t)`
`void` | `setUseDBCache(boolean use)`
`String` | `toString()`
`boolean` | `useDBCache()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STRING_FONT_FIXED_NAME

    public static final String STRING_FONT_FIXED_NAME

See Also:
  Constant Field Values

### STRING_FONT_FIXED_SIZE

    public static final String STRING_FONT_FIXED_SIZE

See Also:
  Constant Field Values

### STRING_FONT_FIXED_STYLE

    public static final String STRING_FONT_FIXED_STYLE

See Also:
  Constant Field Values

### STRING_FONT_DEFAULT_NAME

    public static final String STRING_FONT_DEFAULT_NAME

See Also:
  Constant Field Values

### STRING_FONT_DEFAULT_SIZE

    public static final String STRING_FONT_DEFAULT_SIZE

See Also:
  Constant Field Values

### STRING_FONT_DEFAULT_STYLE

    public static final String STRING_FONT_DEFAULT_STYLE

See Also:
  Constant Field Values

### STRING_FONT_GRAPH_NAME

    public static final String STRING_FONT_GRAPH_NAME

See Also:
  Constant Field Values

### STRING_FONT_GRAPH_SIZE

    public static final String STRING_FONT_GRAPH_SIZE

See Also:
  Constant Field Values

### STRING_FONT_GRAPH_STYLE

    public static final String STRING_FONT_GRAPH_STYLE

See Also:
  Constant Field Values

### STRING_FONT_GRID_NAME

    public static final String STRING_FONT_GRID_NAME

See Also:
  Constant Field Values

### STRING_FONT_GRID_SIZE

    public static final String STRING_FONT_GRID_SIZE

See Also:
  Constant Field Values

### STRING_FONT_GRID_STYLE

    public static final String STRING_FONT_GRID_STYLE

See Also:
  Constant Field Values

### STRING_FONT_NOTE_NAME

    public static final String STRING_FONT_NOTE_NAME

See Also:
  Constant Field Values

### STRING_FONT_NOTE_SIZE

    public static final String STRING_FONT_NOTE_SIZE

See Also:
  Constant Field Values

### STRING_FONT_NOTE_STYLE

    public static final String STRING_FONT_NOTE_STYLE

See Also:
  Constant Field Values

### STRING_BACKGROUND_COLOR_R

    public static final String STRING_BACKGROUND_COLOR_R

See Also:
  Constant Field Values

### STRING_BACKGROUND_COLOR_G

    public static final String STRING_BACKGROUND_COLOR_G

See Also:
  Constant Field Values

### STRING_BACKGROUND_COLOR_B

    public static final String STRING_BACKGROUND_COLOR_B

See Also:
  Constant Field Values

### STRING_GRAPH_COLOR_R

    public static final String STRING_GRAPH_COLOR_R

See Also:
  Constant Field Values

### STRING_GRAPH_COLOR_G

    public static final String STRING_GRAPH_COLOR_G

See Also:
  Constant Field Values

### STRING_GRAPH_COLOR_B

    public static final String STRING_GRAPH_COLOR_B

See Also:
  Constant Field Values

### STRING_TAB_COLOR_R

    public static final String STRING_TAB_COLOR_R

See Also:
  Constant Field Values

### STRING_TAB_COLOR_G

    public static final String STRING_TAB_COLOR_G

See Also:
  Constant Field Values

### STRING_TAB_COLOR_B

    public static final String STRING_TAB_COLOR_B

See Also:
  Constant Field Values

### STRING_ICON_SIZE

    public static final String STRING_ICON_SIZE

See Also:
  Constant Field Values

### STRING_LINE_WIDTH

    public static final String STRING_LINE_WIDTH

See Also:
  Constant Field Values

### STRING_SHADOW_SIZE

    public static final String STRING_SHADOW_SIZE

See Also:
  Constant Field Values

### STRING_LOG_LEVEL

    public static final String STRING_LOG_LEVEL

See Also:
  Constant Field Values

### STRING_LOG_FILTER

    public static final String STRING_LOG_FILTER

See Also:
  Constant Field Values

### STRING_MIDDLE_PCT

    public static final String STRING_MIDDLE_PCT

See Also:
  Constant Field Values

### STRING_LAST_PREVIEW_TRANS

    public static final String STRING_LAST_PREVIEW_TRANS

See Also:
  Constant Field Values

### STRING_LAST_PREVIEW_STEP

    public static final String STRING_LAST_PREVIEW_STEP

See Also:
  Constant Field Values

### STRING_LAST_PREVIEW_SIZE

    public static final String STRING_LAST_PREVIEW_SIZE

See Also:
  Constant Field Values

### STRING_MAX_UNDO

    public static final String STRING_MAX_UNDO

See Also:
  Constant Field Values

### STRING_SIZE_MAX

    public static final String STRING_SIZE_MAX

See Also:
  Constant Field Values

### STRING_SIZE_X

    public static final String STRING_SIZE_X

See Also:
  Constant Field Values

### STRING_SIZE_Y

    public static final String STRING_SIZE_Y

See Also:
  Constant Field Values

### STRING_SIZE_W

    public static final String STRING_SIZE_W

See Also:
  Constant Field Values

### STRING_SIZE_H

    public static final String STRING_SIZE_H

See Also:
  Constant Field Values

### STRING_SASH_W1

    public static final String STRING_SASH_W1

See Also:
  Constant Field Values

### STRING_SASH_W2

    public static final String STRING_SASH_W2

See Also:
  Constant Field Values

### STRING_SHOW_TIPS

    public static final String STRING_SHOW_TIPS

See Also:
  Constant Field Values

### STRING_TIP_NR

    public static final String STRING_TIP_NR

See Also:
  Constant Field Values

### STRING_AUTO_SAVE

    public static final String STRING_AUTO_SAVE

See Also:
  Constant Field Values

### STRING_SAVE_CONF

    public static final String STRING_SAVE_CONF

See Also:
  Constant Field Values

### STRING_AUTO_SPLIT

    public static final String STRING_AUTO_SPLIT

See Also:
  Constant Field Values

### STRING_AUTO_COLLAPSE_CORE_TREE

    public static final String STRING_AUTO_COLLAPSE_CORE_TREE

See Also:
  Constant Field Values

### STRING_USE_DB_CACHE

    public static final String STRING_USE_DB_CACHE

See Also:
  Constant Field Values

### STRING_OPEN_LAST_FILE

    public static final String STRING_OPEN_LAST_FILE

See Also:
  Constant Field Values

### STRING_LAST_REPOSITORY_LOGIN

    public static final String STRING_LAST_REPOSITORY_LOGIN

See Also:
  Constant Field Values

### STRING_LAST_REPOSITORY

    public static final String STRING_LAST_REPOSITORY

See Also:
  Constant Field Values

### STRING_ONLY_ACTIVE_STEPS

    public static final String STRING_ONLY_ACTIVE_STEPS

See Also:
  Constant Field Values

### STRING_START_SHOW_REPOSITORIES

    public static final String STRING_START_SHOW_REPOSITORIES

See Also:
  Constant Field Values

### STRING_ANTI_ALIASING

    public static final String STRING_ANTI_ALIASING

See Also:
  Constant Field Values

### STRING_SHOW_EXIT_WARNING

    public static final String STRING_SHOW_EXIT_WARNING

See Also:
  Constant Field Values

### STRING_SHOW_OS_LOOK

    public static final String STRING_SHOW_OS_LOOK

See Also:
  Constant Field Values

### STRING_LAST_ARGUMENT

    public static final String STRING_LAST_ARGUMENT

See Also:
  Constant Field Values

### STRING_ARGUMENT_NAME_PREFIX

    public static final String STRING_ARGUMENT_NAME_PREFIX

See Also:
  Constant Field Values

### STRING_CUSTOM_PARAMETER

    public static final String STRING_CUSTOM_PARAMETER

See Also:
  Constant Field Values

### STRING_PLUGIN_HISTORY

    public static final String STRING_PLUGIN_HISTORY

See Also:
  Constant Field Values

### STRING_DEFAULT_PREVIEW_SIZE

    public static final String STRING_DEFAULT_PREVIEW_SIZE

See Also:
  Constant Field Values

### STRING_ONLY_USED_DB_TO_XML

    public static final String STRING_ONLY_USED_DB_TO_XML

See Also:
  Constant Field Values

### STRING_ASK_ABOUT_REPLACING_DATABASES

    public static final String STRING_ASK_ABOUT_REPLACING_DATABASES

See Also:
  Constant Field Values

### STRING_REPLACE_DATABASES

    public static final String STRING_REPLACE_DATABASES

See Also:
  Constant Field Values

### TYPE_PROPERTIES_EMPTY

    public static final int TYPE_PROPERTIES_EMPTY

See Also:
  Constant Field Values

### TYPE_PROPERTIES_SPOON

    public static final int TYPE_PROPERTIES_SPOON

See Also:
  Constant Field Values

### TYPE_PROPERTIES_PAN

    public static final int TYPE_PROPERTIES_PAN

See Also:
  Constant Field Values

### TYPE_PROPERTIES_CHEF

    public static final int TYPE_PROPERTIES_CHEF

See Also:
  Constant Field Values

### TYPE_PROPERTIES_KITCHEN

    public static final int TYPE_PROPERTIES_KITCHEN

See Also:
  Constant Field Values

### TYPE_PROPERTIES_MENU

    public static final int TYPE_PROPERTIES_MENU

See Also:
  Constant Field Values

### TYPE_PROPERTIES_PLATE

    public static final int TYPE_PROPERTIES_PLATE

See Also:
  Constant Field Values

### WIDGET_STYLE_DEFAULT

    public static final int WIDGET_STYLE_DEFAULT

See Also:
  Constant Field Values

### WIDGET_STYLE_FIXED

    public static final int WIDGET_STYLE_FIXED

See Also:
  Constant Field Values

### WIDGET_STYLE_TABLE

    public static final int WIDGET_STYLE_TABLE

See Also:
  Constant Field Values

### WIDGET_STYLE_NOTEPAD

    public static final int WIDGET_STYLE_NOTEPAD

See Also:
  Constant Field Values

### WIDGET_STYLE_GRAPH

    public static final int WIDGET_STYLE_GRAPH

See Also:
  Constant Field Values

### WIDGET_STYLE_TAB

    public static final int WIDGET_STYLE_TAB

See Also:
  Constant Field Values

Method Detail

### init

    public static final void init(int t)

  Initialize the properties: load from disk.

  Parameters:
    `display` - The Display
    `t` - The type of properties file.

### init

    public static final void init(String filename)

  Initialize the properties: load from disk.

  Parameters:
    `display` - The Display
    `filename` - the filename to use

### isInitialized

    public static boolean isInitialized()

  Check to see whether the Kettle properties where loaded.

  Returns:
    true if the Kettle properties where loaded.

### getInstance

    public static Props getInstance()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getFilename

    public String getFilename()

### createDefaultKettleProperties

    public void createDefaultKettleProperties(String directory)

### getLicenseFilename

    public String getLicenseFilename()

### fileExists

    public boolean fileExists()

### setType

    public void setType(int t)

### getType

    public int getType()

### loadProps

    public boolean loadProps()

### saveProps

    public void saveProps()

### setLogLevel

    public void setLogLevel(String level)

### getLogLevel

    public String getLogLevel()

### setLogFilter

    public void setLogFilter(String filter)

### getLogFilter

    public String getLogFilter()

### setUseDBCache

    public void setUseDBCache(boolean use)

### useDBCache

    public boolean useDBCache()

### setLastRepository

    public void setLastRepository(String repname)

### getLastRepository

    public String getLastRepository()

### setLastRepositoryLogin

    public void setLastRepositoryLogin(String login)

### getLastRepositoryLogin

    public String getLastRepositoryLogin()

### setOnlyActiveSteps

    public void setOnlyActiveSteps(boolean only)

### getOnlyActiveSteps

    public boolean getOnlyActiveSteps()

### askAboutReplacingDatabaseConnections

    public boolean askAboutReplacingDatabaseConnections()

### setProperty

    public void setProperty(String propertyName,
                            String value)

### getProperty

    public String getProperty(String propertyName)

### setAskAboutReplacingDatabaseConnections

    public void setAskAboutReplacingDatabaseConnections(boolean ask)

### getCustomParameter

    public String getCustomParameter(String parameterName,
                                     String defaultValue)

  Parameters:
    `parameterName` - The parameter name
    `defaultValue` - The default value in case the parameter doesn't exist yet.
  Returns:
    The custom parameter

### setCustomParameter

    public void setCustomParameter(String parameterName,
                                   String value)

  Set the custom parameter

  Parameters:
    `parameterName` - The name of the parameter
    `value` - The value to be stored in the properties file.

### clearCustomParameters

    public void clearCustomParameters()

### getArgumentNumber

    public static final int getArgumentNumber(ValueMetaInterface value)

  Convert "argument 1" to 1

  Parameters:
    `value` - The value to determine the argument number for
  Returns:
    The argument number

### convertArguments

    public static final String[] convertArguments(RowMetaAndData row)

### setLastArguments

    public void setLastArguments(String[] args)

  Set the last arguments so that we can recall it the next time...

  Parameters:
    `args` - the arguments to save

### getLastArguments

    public String[] getLastArguments()

  Get the last entered arguments...

  Returns:
    the last entered arguments...

### getPluginHistory

    public List<ObjectUsageCount> getPluginHistory()

  Get the list of recently used step

  Returns:
    a list of strings: the plug-in IDs

### increasePluginHistory

    public int increasePluginHistory(String pluginID)

### addPluginHistory

    public void addPluginHistory(String pluginID,
                                 int uses)

### areOnlyUsedConnectionsSavedToXML

    public boolean areOnlyUsedConnectionsSavedToXML()

### setOnlyUsedConnectionsSavedToXML

    public void setOnlyUsedConnectionsSavedToXML(boolean onlyUsedConnections)

### replaceExistingDatabaseConnections

    public boolean replaceExistingDatabaseConnections()

### setReplaceDatabaseConnections

    public void setReplaceDatabaseConnections(boolean replace)

### getMaxNrLinesInLog

    public int getMaxNrLinesInLog()

### setMaxNrLinesInLog

    public void setMaxNrLinesInLog(int maxNrLinesInLog)

### getMaxNrLinesInHistory

    public int getMaxNrLinesInHistory()

### setMaxNrLinesInHistory

    public void setMaxNrLinesInHistory(int maxNrLinesInHistory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD